Std ToggleVisibility: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 37: Line 37:
#* Select the {{MenuCommand|Toggle visibility}} option from the [[Tree_view|Tree view]] context menu. This option is not available in the [[PartDesign_Workbench|PartDesign Workbench]].
#* Select the {{MenuCommand|Toggle visibility}} option from the [[Tree_view|Tree view]] context menu. This option is not available in the [[PartDesign_Workbench|PartDesign Workbench]].
#* Use the keyboard shortcut: {{KEY|Space}}.
#* Use the keyboard shortcut: {{KEY|Space}}.

==Scripting==

{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

Use the {{incode|show}} and {{incode|hide}} methods of an object to change its visibility.

</translate>
{{Code|code=
import FreeCADGui

obj = FreeCADGui.ActiveDocument.myObjectName

if obj.Visibility == True:
obj.hide()
else:
obj.show()
}}
<translate>


{{Docnav
{{Docnav

Revision as of 17:59, 5 April 2020

This documentation is a work in progress. Please don't mark it as translatable since it will change in the next hours and days.


Std ToggleVisibility

Menu location
View → Visibility → Toggle visibility
Workbenches
All
Default shortcut
Space
Introduced in version
-
See also
Std ShowSelection, Std HideSelection, Std ToggleObjects, Std ShowObjects, Std HideObjects

Description

The Std ToggleVisibility command toggles the visibility of objects in all 3D views belonging to the active document.

Usage

  1. Select one or more objects.
  2. There are several ways to invoke the command:
    • Select the View → Visibility → Toggle visibility option from the menu.
    • Select the Toggle visibility option from the Tree view context menu. This option is not available in the PartDesign Workbench.
    • Use the keyboard shortcut: Space.

Scripting

See also: FreeCAD Scripting Basics.

Use the show and hide methods of an object to change its visibility.

import FreeCADGui

obj = FreeCADGui.ActiveDocument.myObjectName

if obj.Visibility == True:
  obj.hide()
else:
  obj.show()